HandlerDispatch (Tomcat API Documentation)
Keywords: org.apache.jk.common.HandlerDispatch class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class HandlerDispatch

    java.lang.Object
      org.apache.jk.core.JkHandler
          org.apache.jk.common.HandlerDispatch

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener

    public class HandlerDispatch

extends JkHandler

Dispatch based on the message type. ( XXX make it more generic, now it's specific to ajp13 ).

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.jk.core.JkHandler
`domain, ERROR, HANDLE_FLUSH, HANDLE_RECEIVE_PACKET, HANDLE_SEND_PACKET, HANDLE_THREAD_END, id, LAST, mserver, name, next, nextName, OK, oname, properties, wEnv`

Constructor Summary
`HandlerDispatch()`

Method Summary
`void` | `init()` Should register the request types it can handle, same style as apache2.
`int` | `invoke(Msg msg, MsgContext ep)`
`int` | `registerMessageType(int id, java.lang.String name, JkHandler h, java.lang.String[] sig)`

Methods inherited from class org.apache.jk.core.JkHandler
`addHandlerCallback, createMsgContext, createMsgContext, destroy, getDomain, getId, getName, getNext, getObjectName, getProperty, handleNotification, pause, postDeregister, postRegister, preDeregister, preRegister, resume, setId, setName, setNext, setNext, setProperty, setWorkerEnv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerDispatch

    public HandlerDispatch()

Method Detail

### init

    public void init()

  Description copied from class: `JkHandler`
  Should register the request types it can handle, same style as apache2.

  Overrides:
    `init` in class `JkHandler`

### registerMessageType

    public int registerMessageType(int id,
                                   java.lang.String name,
                                   JkHandler h,
                                   java.lang.String[] sig)

### invoke

    public int invoke(Msg msg,
                      MsgContext ep)
               throws java.io.IOException

  Overrides:
    `invoke` in class `JkHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.